Cyan Web API - Version 1


GET api/messageAudits/{messageAuditId}

            Gets a single MessageAudit.
            

Request Information

Parameters

NameDescriptionAdditional information
messageAuditId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageAuditId": "5729e90a-8a91-415b-95c6-0889b9669d02",
  "messageId": "d7a904cb-0c56-437b-bc82-baee1e4b794e",
  "messageAuditTypeId": "15edb931-c942-40e4-a9d0-e7a3e6bd005a",
  "messageAuditTypeLookupKey": "sample string 4",
  "text": "sample string 5",
  "messageCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-03-15T16:27:33.2461193+00:00",
  "updatedDateUtc": "2026-03-15T16:27:33.2461193+00:00"
}

application/xml, text/xml

Sample:
<MessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-15T16:27:33.2461193+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-15T16:27:33.2461193+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <MessageAuditId>5729e90a-8a91-415b-95c6-0889b9669d02</MessageAuditId>
  <MessageAuditTypeId>15edb931-c942-40e4-a9d0-e7a3e6bd005a</MessageAuditTypeId>
  <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
  <MessageCyanId>6</MessageCyanId>
  <MessageId>d7a904cb-0c56-437b-bc82-baee1e4b794e</MessageId>
  <Text>sample string 5</Text>
</MessageAuditRepresentation>